It is currently December 14th, 2018, 8:34 pm

Developers: Plugin versions

Share your custom plugins and applications to enhance Rainmeter.
User avatar
Brian
Developer
Posts: 1797
Joined: November 24th, 2011, 1:42 am
Location: Utah

Developers: Plugin versions

Brian » August 7th, 2015, 3:09 am

As of Rainmeter 3.3 beta (r2438), plugin developers need to regularly update your plugin's version number with every release you make. This includes beta releases, final releases, and test releases.

Remember, there are two places to edit in your resource file (.rc):
Version1.png
The reason is because we made a change to the skin installer that will by default uncheck any plugin that has the same or newer plugin already installed on their computer. This change will help with users installing older versions of plugins over newer installations. Of course the user can always manually check the checkbox next to the plugin, but doing so will prompt a message box to appear with a warning.

If the plugin being installed is not present on the system, you get this:
VersionAdd.png
If the plugin being installed is older than the plugin already installed, you get this:
VersionNewerInstalled.png
If the plugin being installed is the same version as the plugin already installed, you get this:
VersionEqual.png
-Brian
You do not have the required permissions to view the files attached to this post.
User avatar
.raptor
Posts: 220
Joined: April 3rd, 2013, 11:03 pm
Location: Norway

Re: Developers: Plugin versions

.raptor » August 7th, 2015, 10:33 am

Glad to see that this got added! :thumbup: